BizKitHub
DocsAPI ReferenceLedger/bff/ledger/bank-rule/history
getLedgerAdmin BFF

/bff/ledger/bank-rule/history

Decisions and rule events, newest first

LedgergetBffLedgerBank-ruleHistory

Parameters

7 query

Query parameters

· 7
entityIdstringRequired

Accounting entity external id.

Length: 16–24
Exampleexample_entityId
ruleIdstringOptional
Length: 24–24
Exampleexample_ruleId
eventTypestringOptional
Length: 0–32
Exampleexample_eventType
filterFulltextQuerystringOptional

DataGrid fulltext: counterparty, account, rule, reason.

Length: 0–100
Exampleexample_filterFulltextQuery
orderBystringOptional

DataGrid sort, field:asc|desc.

Exampleexample_orderBy
pagestringOptional
Exampleexample_page
limitstringOptional
Exampleexample_limit

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

GET /bff/ledger/bank-rule/history

get
curl -X GET "https://api.bizkithub.com/bff/ledger/bank-rule/history?entityId=example_entityId&ruleId=example_ruleId&eventType=example_eventType&filterFulltextQuery=example_filterFulltextQuery&orderBy=example_orderBy&page=example_page&limit=example_limit" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key